body{
    padding: 0;
    margin: 0;
    background-color: beige;
}
.section{
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}
.section.visible{
    opacity: 1;
    transform: translateY(0);
}

.hero{
    text-align: center;
    padding: 70px;
    background-image:linear-gradient( #181818cb, #181818a9, #3333337a, #000000d2), url(../images/Maldives2\ copy.jpg);
    height: 70vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    align-content: center;
}
.hero h1{
    font-size: 45px;
    color: white;
}
.hero p{
    font-size: 14px;
    color: white;
    padding: 10px 25% 10px 25%;
}

.destinations{
    margin: 20px;
}
.destinations h3{
    font-size: 30px;
    color: rgb(255, 136, 0);
}
.description-wrapper{
    display: grid;
    grid: auto auto/ auto auto auto;
    gap: 20px;
}
.description-images{
    border-radius: 20px;
    position: relative;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 30px;
    height: 50vh;
    transition: .3s;
}
.description-images h2{
    position: absolute;
    top: 15%;
    margin-left: 20px;
    font-size: 28px;
    color: white;
}
.description-images p{
    position: absolute;
    top: 35%;
    margin-left: 20px;
    margin-right: 20px;
    text-align: left;
    font-size: 14px;
    color: white;
    transform: translateY(60px);
    opacity: 0;
    transition: .3s;
}
.description-images:hover p{
    transform: translateY(10px);
    opacity: 1;
}
.overlay{
    border-radius: 20px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.466);
    transition: .3s;
}
.description-images:hover .overlay{
    background: rgba(0,0,0,0.7);
}
.contact{
    height: 50vh;
    background-image: linear-gradient( #4141417e, #52525273, #33333342, #744322d2), url(../images/flight-booking4.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    margin: 50px;
    padding: 20px;
    text-align: center;
    align-content: center;
    border-radius: 10px;
}
.contact h2{
    font-size: 32px;
    font-weight: 1000;
    color: white;
}
.contact p{
    font-size: 14px;
    padding: 10px 15%;
    color: white;
}
.contact a{
    padding: 10px 15px;
    color:  white;
    text-decoration: none;
    background-color: rgb(245, 110, 0);
    border-radius: 10px;
    box-shadow: 3px 3px 10px black;
    transition: .3s;
}
.contact a:hover{
    padding: 12px 17px;
    
}


@media screen and (max-width: 850px){
    .hero{
        padding: 40px;
        height: 60vh;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
    }
    .hero h1{
        margin-top: 40px;
        font-size: 35px;
        font-weight: 500;
    }
    .hero p{
        padding: 0px;
        font-size: 13px;
    }
    .description-wrapper{
        display: block;
        gap: 20px;
    }
    .description-images{
        padding: 30px;
        margin-bottom: 10px;
    }

    .contact h2{
        font-size: 20px;
        font-weight: 1000;
        color: white;
    }
    .contact p{
        font-size: 13px;
        padding: 10px 10px;
        color: white;
    }
}








@media screen and (max-width: 450px) {
    .hero{
        padding: 40px;
        height: 60vh;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
    }
    .hero h1{
        font-size: 30px;
    }
    .hero p{
        padding: 0px;
        font-size: 13px;
    }
    .destinations h3{
        font-size: 25px;
        color: rgb(255, 136, 0);
    }
    #copyright{
        margin-top: 20px;
        text-align: center;
        font-size: 13px;
        color: grey;
    }
}